<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    </PropertyGroup>

    <ItemGroup>
      <Content Include="..\.dockerignore">
        <Link>.dockerignore</Link>
      </Content>
      <AdditionalFiles Include="..\Webzine.Documentation\StyleCop\stylecop.json">
        <Link>stylecop.json</Link>
      </AdditionalFiles>
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Data\" />
      <Folder Include="wwwroot\data\" />
      <Folder Include="wwwroot\lib\" />
    </ItemGroup>

    <ItemGroup>
      <PackageReference Include="Faker.Net" Version="2.0.163" />
      <PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="10.0.3" />
      <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.5" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="10.0.5" />
        <PackageReference Include="NLog.Web.AspNetCore" Version="5.*" />
		<PackageReference Include="NLog" Version="6.1.1" />
      <PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
        <PrivateAssets>all</PrivateAssets>
        <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Webzine.EntitiesContext\Webzine.EntitiesContext.csproj" />
      <ProjectReference Include="..\Webzine.Entity\Webzine.Entity.csproj" />
      <ProjectReference Include="..\Webzine.Repository\Webzine.Repository.csproj" />
    </ItemGroup>

    <ItemGroup>
      <_ContentIncludedByDefault Remove="Areas\Administration\Views\Shared\_Header.cshtml" />
      <_ContentIncludedByDefault Remove="Areas\Administration\Views\Shared\_Layout.cshtml" />
    </ItemGroup>

</Project>
